ros-jazzy-gripper-controllers (4.34.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Nov 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.33.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Oct 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.33.0-1noble) noble; urgency=high

  * Use new handles API in ros2_controllers to fix deprecation warnings (backport #1566 <https://github.com/ros-controls/ros2_controllers/issues/1566>) (#1934 <https://github.com/ros-controls/ros2_controllers/issues/1934>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 03 Oct 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.32.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 12 Sep 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.31.0-1noble) noble; urgency=high

  * Add deprecation notice of gripper_action_controller to docs (#1852 <https://github.com/ros-controls/ros2_controllers/issues/1852>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 27 Aug 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.30.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Aug 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.30.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 31 Jul 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.29.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jul 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.28.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jul 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.27.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 02 Jul 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.27.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jun 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.26.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.25.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 17 May 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.24.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Apr 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.23.0-1noble) noble; urgency=high

  * Use global cmake macros and fix gcc-10 build (#1527 <https://github.com/ros-controls/ros2_controllers/issues/1527>)
  * Replace RCLCPP_*_STREAM macros with RCLCPP_* (#1600 <https://github.com/ros-controls/ros2_controllers/issues/1600>)
  * Contributors: Christoph Fröhlich, Vedant Randive

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.22.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.21.0-1noble) noble; urgency=high

  * Update API of PID class (#1437 <https://github.com/ros-controls/ros2_controllers/issues/1437>)
  * Cleanup wrong lifecycle transitions in tests and unnecessary checks (#1534 <https://github.com/ros-controls/ros2_controllers/issues/1534>)
  * Bump version of pre-commit hooks (#1514 <https://github.com/ros-controls/ros2_controllers/issues/1514>)
  * Contributors: Christoph Fröhlich, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.20.0-1noble) noble; urgency=high

  * Update paths of GPL includes (#1487 <https://github.com/ros-controls/ros2_controllers/issues/1487>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.19.0-1noble) noble; urgency=high

  * Remove custom logic to skip configuration of gripper_controllers on Windows or macOS (#1471 <https://github.com/ros-controls/ros2_controllers/issues/1471>)
  * Remove visibility macros (#1451 <https://github.com/ros-controls/ros2_controllers/issues/1451>)
  * Contributors: Bence Magyar, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-jazzy-gripper-controllers (4.18.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.17.0-1noble) noble; urgency=high

  * Use the .hpp headers from realtime_tools package (#1406 <https://github.com/ros-controls/ros2_controllers/issues/1406>)
  * Add explicit cast to period.count() (#1404 <https://github.com/ros-controls/ros2_controllers/issues/1404>)
  * Add few warning flags to error in all ros2_controllers packages and fix tests (#1370 <https://github.com/ros-controls/ros2_controllers/issues/1370>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.14.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.12.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Aug 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.12.0-1noble) noble; urgency=high

  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Add parallel_gripper_controller, configure gripper speed and effort with hardware interface (#1002 <https://github.com/ros-controls/ros2_controllers/issues/1002>)
  * Contributors: Henry Moore, Paul Gesel, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.11.0-1noble) noble; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.10.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Jul 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.9.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Jun 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 May 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.7.0-1noble) noble; urgency=high

  * Fix usage of visibility macros (#1039 <https://github.com/ros-controls/ros2_controllers/issues/1039>)
  * Contributors: Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.6.0-1noble) noble; urgency=high

  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.5.0-1noble) noble; urgency=high

  * Let sphinx add parameter description with nested structures to documentation (#652 <https://github.com/ros-controls/ros2_controllers/issues/652>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.3.0-1noble) noble; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-jazzy-gripper-controllers (4.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (4.1.0-1noble) noble; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (4.0.0-1noble) noble; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.17.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Sep 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.15.0-1noble) noble; urgency=high

  * Add test for effort gripper controller (#769 <https://github.com/ros-controls/ros2_controllers/issues/769>)
  * Fixed implementation so that effort_controllers/GripperActionController works. (#756 <https://github.com/ros-controls/ros2_controllers/issues/756>)
  * Contributors: chama1176

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Sep 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.14.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.11.0-1noble) noble; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Let sphinx add parameter description to documentation (#651 <https://github.com/ros-controls/ros2_controllers/issues/651>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.10.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Jun 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.10.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Jun 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.9.0-1noble) noble; urgency=high

  * Fix compilation warnings (#621 <https://github.com/ros-controls/ros2_controllers/issues/621>)
  * Contributors: Noel Jiménez García, Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 28 May 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 May 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 May 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.6.0-1noble) noble; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Apr 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.5.0-1noble) noble; urgency=high

  * [Parameters] Use gt_eq instead of deprecated lower_bounds in validators (#561 <https://github.com/ros-controls/ros2_controllers/issues/561>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Apr 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Apr 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.3.0-1noble) noble; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Fix Segfault in GripperActionController (#527 <https://github.com/ros-controls/ros2_controllers/issues/527>)
  * Contributors: AndyZe, Erik Holum

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.2.0-1noble) noble; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.1.0-1noble) noble; urgency=high

  * Changing to_chrono to use nanoseconds & Reset gripper action goal timer to match JTC impl (#507 <https://github.com/ros-controls/ros2_controllers/issues/507>)
  * Contributors: Dan Wahl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (3.0.0-1noble) noble; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-jazzy-gripper-controllers (2.15.0-1noble) noble; urgency=high

  * Add basic gripper controller tests (#459 <https://github.com/ros-controls/ros2_controllers/issues/459>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.14.0-1noble) noble; urgency=high

  * Use optional from C++17 (#460 <https://github.com/ros-controls/ros2_controllers/issues/460>)
  * Generate parameters for Gripper Action (#398 <https://github.com/ros-controls/ros2_controllers/issues/398>)
  * Contributors: Bence Magyar, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Oct 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.12.0-1noble) noble; urgency=high

  * Add an initialization of the gripper action command for safe startup. (#425 <https://github.com/ros-controls/ros2_controllers/issues/425>)
  * Fix formatting CI job (#418 <https://github.com/ros-controls/ros2_controllers/issues/418>)
  * Contributors: Shota Aoki, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 01 Sep 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.11.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Aug 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.10.0-1noble) noble; urgency=high

  * Formatting changes from pre-commit (#400 <https://github.com/ros-controls/ros2_controllers/issues/400>)
  * Parameter loading fixup in diff_drive and gripper controllers (#385 <https://github.com/ros-controls/ros2_controllers/issues/385>)
  * Contributors: Andy Zelenak, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Aug 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.9.0-1noble) noble; urgency=high

  * Allow gripper stalling when moving to goal (#355 <https://github.com/ros-controls/ros2_controllers/issues/355>)
  * Contributors: Marq Rasmussen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Jul 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Jul 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.7.0-1noble) noble; urgency=high

  * Update controllers with new get_name hardware interfaces (#369 <https://github.com/ros-controls/ros2_controllers/issues/369>)
  * Contributors: Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Jul 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.6.0-1noble) noble; urgency=high

  * CMakeLists cleanup (#362 <https://github.com/ros-controls/ros2_controllers/issues/362>)
  * Fix exception about parameter already been declared & Change default c++ version to 17 (#360 <https://github.com/ros-controls/ros2_controllers/issues/360>)
    * Default C++ version to 17
    * Replace explicit use of declare_paremeter with auto_declare
  * Contributors: Andy Zelenak, Jafar Abdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 18 Jun 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 May 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.4.0-1noble) noble; urgency=high

  * updated to use node getter functions (#329 <https://github.com/ros-controls/ros2_controllers/issues/329>)
  * Contributors: Bence Magyar, Denis Štogl, Jack Center

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.3.0-1noble) noble; urgency=high

  * Use CallbackReturn from controller_interface namespace (#333 <https://github.com/ros-controls/ros2_controllers/issues/333>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Apr 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.2.0-1noble) noble; urgency=high

  * Use lifecycle node as base for controllers (#244 <https://github.com/ros-controls/ros2_controllers/issues/244>)
  * Contributors: Denis Štogl, Vatan Aksoy Tezer, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.0.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (2.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (1.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-jazzy-gripper-controllers (1.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (1.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Oct 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (1.0.0-1noble) noble; urgency=high

  * Remove compile warnings. (#245 <https://github.com/ros-controls/ros2_controllers/issues/245>)
  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * Unify style of controllers. (#236 <https://github.com/ros-controls/ros2_controllers/issues/236>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * Contributors: Bence Magyar, Denis Štogl, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Sep 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.5.0-1noble) noble; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * Contributors: Bence Magyar, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Aug 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.4.1-1noble) noble; urgency=high

  * Fix test dependencies (#213 <https://github.com/ros-controls/ros2_controllers/issues/213>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 08 Jul 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.4.0-1noble) noble; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Fixes for Windows (#205 <https://github.com/ros-controls/ros2_controllers/issues/205>)
    * Disable gripper on Windows too
  * disable gripper on OSX (#192 <https://github.com/ros-controls/ros2_controllers/issues/192>)
  * Port gripper action controller to ROS2 (#162 <https://github.com/ros-controls/ros2_controllers/issues/162>)
  * Contributors: Bence Magyar, Denis Štogl, Jafar Abdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jun 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.3.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 May 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 May 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.2.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 May 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.1.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.1.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-jazzy-gripper-controllers (0.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000


